#660 Docx to tei transformation using Oxygen: Hyperlinks in footnote lost

AMBER
closed
None
5(default)
2014-04-14
2014-04-08
Pragya Singhvi
No

Hi,

I am trying to transform Docx to TEI using oxygen XML editor with Docx TEI P5 transformation scenario. My word document has some footnote and some hyperlinks in footnote. When I transform into TEI then hyperlinks are lost. They are referred to sometime settings.xml, styles.xml, footnote.xml etc. But no mentioned of original link.

Secondly Font size and spacing(center alignment) in the text also lost and all text converted to single font. I have to transformed multiple docx file around 500 files. Currently I need to change in each TEI file the font,background color, spacing and footnote references manually. I am not sure what to change in style sheet directory files. I also tried Oxgarage tool to transformation and same result comes. I am attaching sample docx file here.

Please help me to find the solution of this problem.

Thanks
Pragya

1 Attachments

Related

Bugs: #660

Discussion

  • I am trying to transform Docx to TEI using oxygen XML editor with Docx TEI P5 transformation scenario. My word document has some footnote and some hyperlinks in footnote. When I transform into TEI then hyperlinks are lost. They are referred to sometime settings.xml, styles.xml, footnote.xml etc. But no mentioned of original link.

    This sounds like a bug. Can you supply a test file, please?

    Secondly Font size and spacing(center alignment) in the text also lost and all text converted to single font.

    That's harder. The transform was designed to ignore font size and spacing deliberately, as they don't contribute to semantics.

    I can show you next week where you would look to add support for this.

    Sebastian Rahtz

     
    Attachments
  • Pragya Singhvi
    Pragya Singhvi
    2014-04-08

    Rahtz,

    Thanks for quick reply. I am attaching both files. One is docx and other is xml converted in tei.

    Pragya

     
    • Until I can look at this, the first thing to do for your second problem is to set the parameter "preserveFontEffects" to "true" in the docx to tei conversion. The "iso" profile does this.

      Carved in stone on my iPad

      On 9 Apr 2014, at 00:13, "Pragya Singhvi" psinghvi@users.sf.net<mailto:psinghvi@users.sf.net> wrote:

      Rahtz,

      Thanks for quick reply. I am attaching both files. One is docx and other is xml converted in tei.

      Pragya

      Attachment: Docx to Tei.xml (1.4 kB; text/xml) Docx to Tei.docx (16.8 kB; application/vnd.openxmlformats-officedocument.wordprocessingml.document)


      [bugs:#660]http://sourceforge.net/p/tei/bugs/660/ Docx to tei transformation using Oxygen: Hyperlinks in footnote lost

      Status: open
      Group: AMBER
      Created: Tue Apr 08, 2014 08:43 PM UTC by Pragya Singhvi
      Last Updated: Tue Apr 08, 2014 08:43 PM UTC
      Owner: nobody

      Hi,

      I am trying to transform Docx to TEI using oxygen XML editor with Docx TEI P5 transformation scenario. My word document has some footnote and some hyperlinks in footnote. When I transform into TEI then hyperlinks are lost. They are referred to sometime settings.xml, styles.xml, footnote.xml etc. But no mentioned of original link.

      Secondly Font size and spacing(center alignment) in the text also lost and all text converted to single font. I have to transformed multiple docx file around 500 files. Currently I need to change in each TEI file the font,background color, spacing and footnote references manually. I am not sure what to change in style sheet directory files. I also tried Oxgarage tool to transformation and same result comes. I am attaching sample docx file here.

      Please help me to find the solution of this problem.

      Thanks
      Pragya


      Sent from sourceforge.nethttp://sourceforge.net because you indicated interest in https://sourceforge.net/p/tei/bugs/660/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #660

      Attachments
      • Pragya Singhvi
        Pragya Singhvi
        2014-04-14

        Thanks Rahtz.

        I tried to set parameter "preserveFontEffects" to "true" but it didn't work then I checked parameters and I set "preserveEffects" to true and it transformed to tei with font sizes but still spacing (alignment) not showed up. My final aim is to convert these docx files to TEI and then tei files to HTML. I then transformed these tei files to HTML and here in html again font size disappear. In tei tag for style is as follows:

        <hi rend="bold" style="font-family:Times New Roman;font-size:22pt;">Docx To TEI</hi>

        AND CONVERTED HTML TAG IS AS FOLLOWS:

        Docx To TEI

        I am attaching all three files again here. Anyway thanks for helping me. I tried lot to understand why font size were not showing in TEI. It was really helpful. It will be really great help if you can help me further.

        Thanks
        Pragya

         
  • The alignment issue is now fixed, so please try again with the version I just put on Github. I have not yet considered how the effects info is passed on from the TEI to eg HTML.

    sorry about the name confusion, its preserveEffects, you are right.

    The footnote hyperlinks are fixed now as well.

     
    • Pragya Singhvi
      Pragya Singhvi
      2014-04-14

      Thank you so much for help. I tried your new version and now docx to tei is perfectly fine for me.

      Just tei5 to XHTML is not showing font. I guess it is only taking either rend or style tag.

      Thanks again for help.

       
  • i have tweaked the transform to HTML so that if @style and @rend are both found, they
    are combined.

     
    • status: open --> closed
    • assigned_to: Sebastian Rahtz